Repository 32bit  Forum
Repository 64bit  Wiki

Maledizione ATI...

Scrivete su questo forum se avete problemi o volete dare buoni consigli sui computer portatili (Laptop).

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Citare il modello preciso del laptop in questione.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Maledizione ATI...

Messaggioda Raistlin84 » ven nov 11, 2005 14:19

Ho provato a mettere la slack 10.2 sul mio laptop, dopo un po' che avevo la Mandrake [in origine avevo la slack 10.1,ma non mi funzionava l'accelerazione 3D].
Sulla Mandrake tutto funzionava,ma volevo la slack.Quindi ho compilato il kernel 2.6.14 con il config della mandrake [2.6.11] e ho apportato alcune modifiche,per alleggelirlo.Comunque il config dovrebbe esser a posto.
Insomma dopo aver installato i driver ATI per la mia X300 su pci-e ottengo questo errore se faccio modprobe fglrx:
FATAL: Error inserting fglrx (/lib/modules/2.6.14/kernel/drivers/char/drm/fglrx.ko): Unknown symbol in module, or unknown parameter (see dmesg)

Se faccio dmesg la parte cge riguarda fglrx:
fglrx: module license 'Proprietary. (C) 2002 - ATI Technologies, Starnberg, GERMANY' taints kernel.
fglrx: Unknown symbol verify_area
mtrr: 0xd0000000,0x4000000 overlaps existing 0xd3fe0000,0x10000
fglrx: Unknown symbol verify_area
mtrr: no more MTRRs available
mtrr: no more MTRRs available
mtrr: no more MTRRs available
mtrr: no more MTRRs available
fglrx: Unknown symbol verify_area

Non capisco da cosa dipende.
Avatar utente
Raistlin84
Linux 2.6
Linux 2.6
 
Messaggi: 542
Iscritto il: dom mar 27, 2005 23:00
Località: Pistoia

Messaggioda Firetux » ven nov 11, 2005 14:25

Avatar utente
Firetux
Linux 3.x
Linux 3.x
 
Messaggi: 1465
Iscritto il: mer giu 09, 2004 23:00
Località: Lecco

Messaggioda Firetux » ven nov 11, 2005 14:27

Avatar utente
Firetux
Linux 3.x
Linux 3.x
 
Messaggi: 1465
Iscritto il: mer giu 09, 2004 23:00
Località: Lecco

Messaggioda Raistlin84 » ven nov 11, 2005 15:59

Grazie ora mi funziona.
Però avrei un alro problema...wireless...
Ho scaricato i driver ieee80211 e ipw2200 per la mia scheda integrata [centrino], poi ho visto che i driver sono già caricati nel kernel...perfetto mi sono detto... ho messo il firmware 2.4 nella directory /lib/firmware...ma, non funziona!
Eppure sulla mandrake mi era bastato installare i driver ipw2200 e mettere il firmware. Ora o ho sbagliato firmware, visto che ho dovuto scaricare un rpm,perchè sul sito sourceforge non me li scarica.
Però dovrebbero esser quello il firmware, o non me lo carica...
Avatar utente
Raistlin84
Linux 2.6
Linux 2.6
 
Messaggi: 542
Iscritto il: dom mar 27, 2005 23:00
Località: Pistoia

Messaggioda Firetux » ven nov 11, 2005 16:01

ma hai qualche errore nel caricamento? dmesg che dice?
Avatar utente
Firetux
Linux 3.x
Linux 3.x
 
Messaggi: 1465
Iscritto il: mer giu 09, 2004 23:00
Località: Lecco

Messaggioda Raistlin84 » ven nov 11, 2005 16:23

No,dmesg non dice niente.Nessun errore di caricamento.
Forse il firmware è sbagliato...ma mi sembra strano.
Mi sono appena reso conto che forse siccome ho provato ad installare ieee80211 e mi ha chiesto di cancellare dei moduli ho risposto sì, e me li ha cancellati in parte. Ora se faccio modprobe ieee80211:
bash-3.00# modprobe ieee80211
WARNING: Could not open '/lib/modules/2.6.14/kernel/net/ieee80211/ieee80211_crypt.ko': No such file or directory
FATAL: Could not open '/lib/modules/2.6.14/kernel/net/ieee80211/ieee80211.ko': No such file or directory

Purtroppo non ha cancellato tutto perciò non mi compila i driver, e gli altri moduli non li cancella.

Forse è meglio se ricompilo tutto...
Mi conviene usare i driver del kernel o inserire i moduli successivamente?
Avatar utente
Raistlin84
Linux 2.6
Linux 2.6
 
Messaggi: 542
Iscritto il: dom mar 27, 2005 23:00
Località: Pistoia

Messaggioda Firetux » ven nov 11, 2005 16:48

non so consigliarti, non ho ancora potuto provare se i driver del nuovo kernel funzionano...fino a prima usavo ipw2200 a parte e andava bene...fammi sapere! :wink:
Avatar utente
Firetux
Linux 3.x
Linux 3.x
 
Messaggi: 1465
Iscritto il: mer giu 09, 2004 23:00
Località: Lecco

Messaggioda falappas » ven nov 11, 2005 17:19

hai utilizzato l'rpm? probabilmente il problema è questo!
Se non mi sbaglio slackware e mandrake utilizzano directory differenti per caricare il firmware...
la directory del firmware doverbbe essere questa /lib/firmware... puoi controllare per sicurezza in /etc/hotplug/firmware.agent.
ciao
Avatar utente
falappas
Linux 1.0
Linux 1.0
 
Messaggi: 44
Iscritto il: mer giu 29, 2005 23:00
Località: Filottrano (AN)
Slackware: 12.0

Messaggioda Raistlin84 » ven nov 11, 2005 18:29

Il problema sembra non caricare il firmware. E stavolta ho scaricato quello giusto!
Se lancio il firmware.agent:
bash-3.00# ./firmware.agent
Firmware '' event not supported

Cosa significa?
Avatar utente
Raistlin84
Linux 2.6
Linux 2.6
 
Messaggi: 542
Iscritto il: dom mar 27, 2005 23:00
Località: Pistoia


Torna a Laptop

Chi c’è in linea

Visitano il forum: Yahoo [Bot] e 1 ospite